/* © 2024 Appstock */

#import "APSORTBAbstract.h"
#import "APSORTBExtMobileSDKEvents.h"

@class APSORTBExtMobileSDKPassthrough;

NS_ASSUME_NONNULL_BEGIN

@interface APSORTBBidExtMobileSDK: APSORTBAbstract

@property (nonatomic, copy, nullable) NSString *type;

// NOTE: APSAd server does not support remote config yet.
@property (nonatomic, copy, nullable) NSArray<APSORTBExtMobileSDKPassthrough *> *passthrough;

// NOTE: APSAd events should be migrated or removed later.
// For now, we shouldn't use it.
@property (nonatomic, strong, nullable) APSORTBExtMobileSDKEvents *events;

@end

NS_ASSUME_NONNULL_END
